#include <bits/stdc++.h>

using namespace std;
typedef long long ll;

bool a[1010000];

int n, k;
inline bool func(ll z)
{
    for(int i = 1; i<=n; i++)
        if(a[i] && a[z-i])
            return true;
    return false;
}


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);


    cin >> n >> k;
    for(int i = 1; i<=n; i++)
    {
        a[i]=true;
    }
    for(int i = 0; i<k; i++)
    {
        int x;
        cin >>x;
        a[x]=false;
    }
    ll ans = 0;
    for(int i = 2; i<=n+n; i++)
    {
        if(func(i))
            ans++;
    }
    cout << ans;
}
